Skip to content

Groups ​


A group refers to a top level company that sells the services offered by the Fusion platform. A group can only be administrated by a system administrator. A group is the top level container for distributors, resellers or tenants.

API Authorization

These APIs are only available for system administrators.

Get a list of groups ​

List all groups created on the platform.

Request ​

Endpoint ​

GET /api/v01/draas/{draas_instance}/groups

Authorization ​

Required role

groups.list

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters

URL/Query parameters ​

ParameterTypeDescriptionRequired?
searchstringUsed to perform a search through all searchable properties of a group that look like the string passedno
sortstringAllows to specify one searchable property of a group to apply a sorting operationno
dirstringWhen performing a sort operation, specifies the type. Allowed values are asc for ascending (default) or desc for descendingno
page_sizeintegerUsed for pagination, determines the maximum number of records on one page of results (defaults to 10)no
nextstringA token used to get the next records in the list. This token is taken back from the results of the previous callno

Response ​

Status codes ​

ParameterDescription
200One or more groups found
400Error while processing the request
403The API consumer doesn't have sufficient rights to perform this action
404No group found
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional?
resultsintegerTotal number of results from the queryno
pagesintegerTotal number of pages according to pagination settingsno
pageintegerCurrent displayed page from the set of pagesno
nextstringA token used for infinite scrolling, to be used in the next call to retrieve subsequent records. Only present if the list of groups has to be continuedyes
groupsarrayList containing all group objects in the systemno
Group Object ​
ParameterTypeDescriptionConditional?Searchable?
uuidstringUniversal unique id uniquely identifying the groupnoyes
namestringName the groupnoyes
draasDomainstringGlobal domain used by the groupyesyes
Example ​
json
{
    "page": 1,
    "pages": 3,
    "results": 1,
    "next": "cGFnZV9zaXplPTEmcGFnZT0y",
    "groups": [
        {
            "draasDomain": "first.draas.domain",
            "name": "Group 1",
            "uuid": "aaf9dba1-9469-40fa-be50-22298d68010d"
        }
    ]
}

Get a specific group ​

The following endpoint gives the details of a single group.

Request ​

Endpoint ​

GET /api/v01/draas/{draas_instance}/groups/{uuid}

Authorization ​

Required role

groups.instance.read

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated universal unique ID (UUID) identifying the group for which you want to get its details

URL/Query parameters ​

N/A

Response ​

Status codes ​

ParameterDescription
200The group was found
400Error while processing the request
403The API consumer doesn't have sufficient rights to perform this action
404No group found with this uuid
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional?
uuidstringUniversal unique id uniquely identifying the groupno
namestringName the groupno
draasDomainstringGlobal domain used by the groupyes
nbOfDisributorsintegerNumber of distributors linked to this groupno
nbOfResellersintegerNumber of resellers linked to this groupno
nbOfTenantsintegerNumber of tenants linked to this groupno
Example ​
json
{
    "draasDomain": "first.draas.domain",
    "name": "Group 1",
    "nbOfDistributors": 2,
    "nbOfResellers": 2,
    "nbOfTenants": 2,
    "uuid": "aaf9dba1-9469-40fa-be50-22298d68010d"
}

Create a new group ​

Use this endpoint to create a new group on the platform.

Request ​

Endpoint ​

POST /api/v01/draas/{draas_instance}/groups

Authorization ​

Required role

groups.create

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters

URL/Query parameters ​

N/A

Body ​
ParameterTypeDescriptionRequired?
namestringName the groupyes
draasDomainstringGlobal domain used by the groupno
adminEmailstringEmail of an administrator for this group. If present, it will create an administrator as described by this APIno

Example ​

json
{
  "name": "CBUR Test POST",
  "draasDomain": "my.fusion.domain",
  "adminEmail": "john.doe@netaxis.be"
}

Response ​

Status codes ​

ParameterDescription
200The group was created successfully
400Error while creating the group
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional?
uuidstringUniversal unique id uniquely identifying the groupno
Example ​
json
{
  "uuid": "e4630c48-46be-416b-b09f-5e2b3a598e0c"
}

Modify an existing group ​

Update the details of a given group

Request ​

Endpoint ​

PUT /api/v01/draas/{draas_instance}/groups/{uuid}

Authorization ​

Required role

groups.instance.update

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringSystem generated universal unique ID (UUID) identifying the group for which you want to get its details

URL/Query parameters ​

N/A

Body ​
ParameterTypeDescriptionRequired?
namestringNew name for the groupno
draasDomainstringGlobal domain used by the groupno

Example ​

json
{
    "name": "Group 1",
    "draasDomain": "first.fusion.domain"
}

Response ​

Status codes ​

ParameterDescription
200The group was updated successfully
400Error while updating the group
403The API consumer doesn't have sufficient rights to perform this action
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional?
uuidstringUniversal unique id uniquely identifying the groupno
Example ​
json
{
  "uuid": "e4630c48-46be-416b-b09f-5e2b3a598e0c"
}

Delete a group ​

Delete a group

Groups must be empty

It is not possible to delete groups that still have distributors, resellers or tenants attached.

Request ​

Endpoint ​

DELETE /api/v01/draas/{draas_instance}/groups/{uuid}

Authorization ​

Required role

groups.instance.delete

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringSystem generated universal unique ID (UUID) identifying the group which you would like to delete

URL/Query parameters ​

N/A

Body ​

N/A

Response ​

Status codes ​

ParameterDescription
200The group was deleted successfully. If the group didn't exist, the delete will be considered as being executed successfully
400Error while deleting the group
403The API consumer doesn't have sufficient rights to perform this action
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional?
uuidstringUniversal unique id uniquely identifying the group that has been deletedno
Example ​
json
{
  "uuid": "e4630c48-46be-416b-b09f-5e2b3a598e0c"
}

Create an administrator account for a group structure ​

Create an administrator account for an existing group. The account will be created using an e-mail as user reference. At successful creation, an e-mail will be sent to the newly created administrator address, asking her/him to follow a link to create a valid password and validate the account.

Request ​

Endpoint ​

POST /api/v01/draas/{draas_instance}/groups/{uuid}/admins

Authorization ​

Required role

groups.instance.admins.create

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated universal unique ID (UUID) identifying the group for which you want to create an administrator account

URL/Query parameters ​

N/A

Body ​
ParameterTypeDescriptionRequired?
adminEmailstringA valid e-mail address owned by the administratoryes
firstNamestringFirst name of the administratorno
lastNamestringLast name of the administratorno
mobilestringMobile phone number of the administratorno

Example ​

json
{
  "adminEmail": "john.doe@netaxis.be",
  "firstName": "John",
  "lastName": "Doe",
  "mobile": "+33613575607"
}

Response ​

Status codes ​

ParameterDescription
200The administrator account was successfully created
400Error while creating the administrator account, the specified e-mail address already exists in the system
403The API consumer doesn't have sufficient rights to perform this action
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional?
idnumberInternal ID of newly created administrator accountno
Example ​
json
{
  "id": 86
}

Modify an administrator account for a group structure ​

Modify an existing administrator account for a group. As the e-mail is the administrator reference, it cannot be modified. In case this is needed, administrator has to be deleted and re-created with the new e-mail reference.

Request ​

Endpoint ​

PUT /api/v01/draas/{draas_instance}/groups/{uuid}/admins/{username}

Authorization ​

Required role

groups.instance.admins.update

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated universal unique ID (UUID) identifying the group for which you want to create an administrator account
usernamestringThe username that identifies the administrator. This should be the administrator e-mail

URL/Query parameters ​

N/A

Body ​
ParameterTypeDescriptionRequired?
firstNamestringFirst name of the administratorno
lastNamestringLast name of the administratorno
mobilestringMobile phone number of the administratorno
adminEmailstringThe email of the administratoryes
force_resetbooleanForces the password resetyes

Example ​

json
{
  "firstName": "John",
  "lastName": "Doe",
  "mobile": "+33613575607",
  "adminEmail": "john.doe@netaxis.be"
}

Response ​

Status codes ​

ParameterDescription
200The administrator account was successfully modified
400Error while modifying the administrator account
403The API consumer doesn't have sufficient rights to perform this action
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional?
idnumberInternal ID of modified administrator accountno
Example ​
json
{
  "id": 86
}

Delete an administrator account for a group structure ​

Delete an existing administrator account from a group.

Request ​

Endpoint ​

DELETE /api/v01/draas/{draas_instance}/groups/{uuid}/admins/{username}

Authorization ​

Required role

groups.instance.admins.delete

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated universal unique ID (UUID) identifying the group for which you want to create an administrator account
usernamestringThe username that identifies the administrator. This should be the administrator e-mail

URL/Query parameters ​

N/A

Body ​

N/A

Response ​

Status codes ​

ParameterDescription
204The administrator account was successfully deleted
403The API consumer doesn't have sufficient rights to perform this action
500Uncatched error on server side

Success ​

Body ​

N/A

Get a specific rateplan ​

This endpoint returns a specific rateplan for the group with all different prices that apply (setup + per minute) per destination. This API is mainly to be used by system administrators as a rateplan belongs to a group and at system level, we first have to choose the group for which we will get the list.

Request ​

Endpoint ​

GET /api/v01/draas/{draas_instance}/groups/{uuid}/rate_plans/{rate_plan}

Authorization ​

Required role

groups.instance.rate_plans.instance.read

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the group for which you want to get the supported rate plans
rate_planstringRefers to the rateplan for which you want to get the pricing. See also rate plans

URL/Query parameters ​

N/A

Response ​

Status codes ​

ParameterDescription
200One or more prices found
400Error while processing the request
403The API consumer doesn't have sufficient rights to perform this action
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional?
pricesarrayList containing the latest price objects for any dial plan groups.no
Example ​
json
{
    "prices": [
        {
            "activeSince": "2022-08-06 00:00:00",
            "destination": "Italy",
            "destinationId": 177,
            "international": {
                "duration": 0,
                "setup": 0
            },
            "national": {
                "duration": 0,
                "setup": 0
            },
            "nextUpdate": "2022-08-11 00:00:00"
        },
        {
            "activeSince": "2022-08-04 00:00:00",
            "destination": "Belgium Freephone",
            "destinationId": 427,
            "international": {
                "duration": 4.68,
                "setup": 5.78
            },
            "national": {
                "duration": 2.43,
                "setup": 5.8
            },
            "nextUpdate": "2022-08-10 00:00:00"
        },
        {
            "activeSince": "2022-08-02 00:00:00",
            "destination": "Croatia Premium",
            "destinationId": 450,
            "international": {
                "duration": 7.51,
                "setup": 6.24
            },
            "national": {
                "duration": 4.97,
                "setup": 3.7
            }
        },
        {
            "activeSince": "2022-07-12 00:00:00",
            "destination": "Austria Freephone",
            "destinationId": 414,
            "international": {
                "duration": 4.68,
                "setup": 3.47
            },
            "national": {
                "duration": 2.31,
                "setup": 1.16
            }
        },
        {
            "activeSince": "2022-07-09 00:00:00",
            "destination": "Azerbaijan Mobile",
            "destinationId": 28,
            "international": {
                "duration": 4.68,
                "setup": 3.47
            },
            "national": {
                "duration": 2.31,
                "setup": 1.16
            }
        }
    ]
}

Get the configuration of a group ​

List all properties that make up the group's configuration. Properties are made up of key / value pairs. Properties may be extended or reduced at will, knowing that a basic set of properties has to be present for application correct behaviour. For the basic set of properties that have to be set, please see this list. All property names containing password or token will be returned masked as ********.

Request ​

Endpoint ​

GET /api/v01/draas/{draas_instance}/groups/{uuid}/configurations/general

Authorization ​

Required role

groups.instance.configurations.general.list

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the group for which you want to get the properties

URL/Query parameters ​

ParameterTypeDescriptionRequired?
extrabooleanForces to return the configurations keys with extra parametersno
fullbooleanForces to return the full configurations keys ignoring any other parametersno
keysstringA comma seperated list of keys used to restrict the returned properties to the specified keysno
searchstringUsed to perform a search through all searchable configurations keys of a group that look like the string passedno
write_onlybooleanForces to return the write only configurations keysno

Response ​

Status codes ​

ParameterDescription
200Properties list has been correctly returned
400Error while processing the request
403The API consumer doesn't have sufficient rights to perform this action
404No group found
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional?
propertiesobjectAn object returning the read properties as key / value pairs or property extra.no
Example ​
json
{
    "properties": {
        "draas_default_mode": "Direct Routing",
        "draas_dummy_user_name": "Netaxis Dummy Fusion User for E5 Activation",
        "draas_group": "Copaco",
        "draas_main_domain": "teams.cloudnettest.services",
        "draas_oc_calling_profile_id": "b77db179-e055-481d-b11b-0902971d892d",
        "draas_oc_onboarding_confirmation_required": true,
        "draas_porting_cc": "+31",
        "draas_profile_distributor_admin": "draas_distributor_admin",
        "draas_profile_group_admin": "draas_group_admin",
        "draas_profile_reseller_admin": "draas_reseller_admin",
        "draas_profile_system_admin": "draas_system_admin",
        "draas_profile_tenant_admin": "draas_tenant_admin",
        "draas_pstn_usage": "PSTN-Usage-DRAAS",
        "draas_sbc_ip": "152.70.50.133",
        "draas_sbc_port": 5061,
        "draas_tgrp_name": "teams",
        "draas_trunk_context": "testteams.copaco.nl",
        "draas_voice_route": "VR-Fusion",
        "draas_vrp": "World-Fusion",
        "eva_combinations": "STANDARDPACK+MCOCAP,ENTERPRISEPACK+MCOCAP,ENTERPRISEPREMIUM,TEAMS_EXPLORATORY+MCOCAP"
    }
}
Example with extra=true ​
json
{
    "properties": {
        "draas_default_mode": {
            "group": "msteams",
            "type": "string",
            "value": "Direct Routing",
            "write_only": true
        },
        "draas_dummy_user_name": {
            "group": "msteams",
            "type": "string",
            "value": Netaxis Dummy Fusion User for E5 Activation",
            "write_only": true
        },
        "draas_group": {
            "group": "misc",
            "type": "string",
            "value": "Copaco",
            "write_only": true
        },
        "draas_main_domain": {
            "group": "msteams",
            "type": "string",
            "value": "teams.cloudnettest.services",
            "write_only": true
        },
        "draas_oc_calling_profile_id": {
            "group": "msteams_oc",
            "type": "string",
            "value": "b77db179-e055-481d-b11b-0902971d892d",
            "write_only": true
        },
        "draas_oc_onboarding_confirmation_required": {
            "group": "msteams_oc",
            "type": "boolean",
            "value": true,
            "write_only": true
        },
        "draas_porting_cc": {
            "group": "numbers",
            "type": "string",
            "value": "+31",
            "write_only": true
        },
        "draas_profile_distributor_admin": {
            "group": "general_profiles",
            "type": "string",
            "value": "draas_distributor_admin",
            "write_only": true
        },
        "draas_profile_group_admin": {
            "group": "general_profiles",
            "type": "string",
            "value": "draas_group_admin",
            "write_only": true
        },
        "draas_profile_reseller_admin": {
            "group": "general_profiles",
            "type": "string",
            "value": "draas_reseller_admin",
            "write_only": true
        },
        "draas_profile_system_admin": {
            "group": "general_profiles",
            "type": "string",
            "value": "draas_system_admin",
            "write_only": true
        },
        "draas_profile_tenant_admin": {
            "group": "general_profiles",
            "type": "string",
            "value": "draas_tenant_admin",
            "write_only": true
        },
        "draas_pstn_usage": {
            "group": "msteams_voice_routing",
            "type": "string",
            "value": "PSTN-Usage-DRAAS",
            "write_only": true
        },
        "draas_sbc_ip": {
            "group": "sbc",
            "type": "string",
            "value": "152.70.50.133",
            "write_only": true
        },
        "draas_sbc_port": {
            "group": "sbc",
            "type": "number",
            "value": 5061,
            "write_only": true,
            "max_value": 65535
        },
        "draas_tgrp_name": {
            "group": "misc",
            "type": "string",
            "value": "teams",
            "write_only": true
        },
        "draas_trunk_context": {
            "group": "msteams",
            "type": "string",
            "value": "testteams.copaco.nl",
            "write_only": true
        },
        "draas_voice_route": {
            "group": "msteams_voice_routing",
            "type": "string",
            "value": "VR-Fusion",
            "write_only": true
        },
        "draas_vrp": {
            "group": "msteams_voice_routing",
            "type": "string",
            "value": "World-Fusion",
            "write_only": true
        },
        "eva_combinations": {
            "group": "msteams",
            "type": "editableSelect",
            "value": "STANDARDPACK+MCOCAP,ENTERPRISEPACK+MCOCAP,ENTERPRISEPREMIUM,ENTERPRISEPACK+MCOEV",
            "write_only": true
        },
    }
}

Standard Properties ​

KeyTypeExample
draas_azure_application_namestringNetaxis Fusion Integration
draas_default_modestringdirect_routing
draas_dummy_user_namestringNetaxis Dummy Fusion User for E5 Activation
draas_external_trunkgroup_namestringXelion
draas_external_trunkgroup_uuidstringXelion02
draas_groupstringCopaco
draas_main_domainstringteams.cloudnettest.services
draas_oc_calling_profile_idstringb77db179-e055-481d-b11b-0902971d892d
draas_oc_onboarding_confirmation_requiredbooleantrue
draas_porting_ccstring+31
draas_profile_distributor_adminstringdraas_distributor_admin
draas_profile_group_adminstringdraas_group_admin
draas_profile_reseller_adminstringdraas_reseller_admin
draas_profile_system_adminstringdraas_system_admin
draas_profile_tenant_adminstringdraas_tenant_admin
draas_pstn_usagestringPSTN-Usage-DRAAS
draas_sbc_ipstring152.70.50.133
draas_sbc_network_interfacestrings0p0:0.4
draas_sbc_parent_realmstringSIPT-GENERAL
draas_sbc_portnumber5061
draas_tgrp_namestringteams
draas_trunk_contextstringtestteams.copaco.nl
draas_voice_routestringVR-Fusion
draas_vrpstringWorld-Fusion
eva_combinationsstringSTANDARDPACK+MCOCAP, ENTERPRISEPACK+MCOCAP, ENTERPRISEPREMIUM
eva_licensesstringSTANDARDPACK, ENTERPRISEPACK, ENTERPRISEPREMIUM,MCOCAP

Property Extra Type ​

The allowed types for extra data are:

  • boolean,
  • number (int or float),
  • string,
  • select (for selectable property),
  • editableSelect (for editable options to be used within a select property).

Property Extra Data ​

KeyTypeExample
valuestringThe value
typestringThe type. See property extra type.
groupstringThe key group
advancedbooleanThe advanced key status
depends_onstringThe property on which the selection depends (only for type select)
min_valueintegerThe minimum value allowed (only for type number)
max_valueintegerThe maximum value allowed (only for type number)

Create or modify properties in of a group ​

Use this endpoint to create or modify properties that make up the configuration of a group. This API is an upsert one, meaning that a non-existing property will be added and an existing one will be updated.

Request ​

Endpoint ​

POST /api/v01/draas/{draas_instance}/groups/{uuid}/configurations/general

Authorization ​

Required role

groups.instance.configurations.general.create

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the group for which you want to add or modify properties

URL/Query parameters ​

N/A

Body ​
ParameterTypeDescriptionRequired?
propertiesobjectAn object defining properties as key / value pairs. Non-existing keys will be added to the configuration, existing ones will be updated with the new valueyes

Example ​

json
{
    "properties": {
        "draas_group": "Arrow",
        "draas_default_mode": "Operator Connect",
        "prop_1": "A new property"
    }
}

Response ​

Status codes ​

ParameterDescription
204The properties were successfully added or modified to the group
400Error while processing the properties for the group
500Uncatched error on server side

Success ​

Body ​

N/A

Modify the configurations of a group ​

Use this endpoint to modify the configurations of a group of the reference user's access level.

Request ​

Endpoint ​

PUT /api/v01/draas/{draas_instance}/groups/{uuid}/configurations/general

Authorization ​

Required role

groups.instance.configurations.general.update

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the group for which you want to add or modify properties

URL/Query parameters ​

N/A

Body ​

An object defining properties as key / value pairs.

Example ​

json
{
    "properties": {
        "draas_default_mode": "Direct Routing",
        "draas_dummy_user_name": "Netaxis Dummy Fusion User for E5 Activation",
        "draas_group": "Copaco",
        "draas_main_domain": "teams.cloudnettest.services",
        "draas_oc_calling_profile_id": "b77db179-e055-481d-b11b-0902971d892d",
        "draas_oc_onboarding_confirmation_required": true,
        "draas_porting_cc": "+31",
        "draas_profile_distributor_admin": "draas_distributor_admin",
        "draas_profile_group_admin": "draas_group_admin",
        "draas_profile_reseller_admin": "draas_reseller_admin",
        "draas_profile_system_admin": "draas_system_admin",
        "draas_profile_tenant_admin": "draas_tenant_admin",
        "draas_pstn_usage": "PSTN-Usage-DRAAS",
        "draas_sbc_ip": "152.70.50.133",
        "draas_sbc_port": 5061,
        "draas_tgrp_name": "teams",
        "draas_trunk_context": "testteams.copaco.nl",
        "draas_voice_route": "VR-Fusion",
        "draas_vrp": "World-Fusion",
        "eva_combinations": "STANDARDPACK+MCOCAP,ENTERPRISEPACK+MCOCAP,ENTERPRISEPREMIUM,TEAMS_EXPLORATORY+MCOCAP"
    }
}

Response ​

Status codes ​

ParameterDescription
204The properties were successfully modified
400Error while processing the properties
500Uncatched error on server side

Success ​

Body ​

N/A

Remove properties from a group ​

Use this endpoint to remove properties that make up the configuration of a group.

Request ​

Endpoint ​

DELETE /api/v01/draas/{draas_instance}/groups/{uuid}/configurations/general

Authorization ​

Required role

groups.instance.configurations.general.delete

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the group from which you want to add remove properties

URL/Query parameters ​

N/A

Body ​
ParameterTypeDescriptionRequired?
keysarrayAn array of keys to remove from the configurationyes

Example ​

json
{
    "keys": [
        "prop_1",
        "prop_2",
        "prop_x"
    ]
}

Response ​

Status codes ​

ParameterDescription
204The properties were successfully removed the group
400Error while processing the properties for the group
500Uncatched error on server side

Success ​

Body ​

N/A

Get the events configuration of a group ​

Use this endpoint to retrieve the events (webhook / email notifications) configuration of a group. It defines where notifications are sent (webhook endpoint and/or email addresses) and, for each supported event, which notification channels are enabled.

Request ​

Endpoint ​

GET /api/v01/draas/{draas_instance}/groups/{uuid}/configurations/events

Authorization ​

Required role

groups.instance.configurations.events.list

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the group for which you want to get the events configuration

URL/Query parameters ​

N/A

Response ​

Status codes ​

ParameterDescription
200The events configuration has been correctly returned
400Error while processing the request
403The API consumer doesn't have sufficient rights to perform this action
404No group found
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional?
propertiesobjectThe events configuration as defined by this structureno
Events configuration object group ​
ParameterTypeDescriptionConditional?
webhook_endpointstringThe URL to which the webhook notifications are sent (POST) when an enabled event occursno
webhook_authentication_typestringThe authentication used when calling the webhook endpoint. Possible values are:
  • none,
  • token,
  • akjl-affinity.
no
webhook_authentication_tokenstringThe token used to authenticate against the webhook endpoint. Only relevant when webhook_authentication_type is not noneno
emailsarrayA list of email addresses to which the email notifications are sent when an enabled event occursno
eventsobjectAn object where each key is an event name and each value is an event settings object defining which notification channels are enabled for that eventno
Event settings object group ​
ParameterTypeDescriptionConditional?
email_enabledbooleanTrue if an email notification is sent when the event occursno
webhook_enabledbooleanTrue if a webhook notification is sent when the event occursno

Supported event names are: create_distributor, update_distributor, delete_distributor, create_reseller, update_reseller, delete_reseller, create_tenant, update_tenant, delete_tenant, create_subscription, update_subscription, delete_subscription, add_number_subscription, remove_number_subscription, remove_quarantine_number_subscription, create_order, remove_order; for MS Teams: create_ms_user, update_ms_user, delete_ms_user, add_number_ms_user, remove_number_ms_user, create_ms_ra, update_ms_ra, delete_ms_ra, add_number_ms_ra, remove_number_ms_ra, ms_onboarding_add_domain, ms_onboarding_create_user, ms_onboarding_add_dr_data; for SIP trunking: sip_create_trunkgroup, sip_update_trunkgroup, sip_delete_trunkgroup, sip_add_number_trunkgroup, sip_remove_number_trunkgroup, sip_add_access_trunk_trunkgroup, sip_update_access_trunk_trunkgroup, sip_remove_access_trunk_trunkgroup.

Example ​
json
{
    "properties": {
        "webhook_endpoint": "https://hooks.example.com/fusion/events",
        "webhook_authentication_type": "token",
        "webhook_authentication_token": "********",
        "emails": [
            "noc@example.com",
            "provisioning@example.com"
        ],
        "events": {
            "create_tenant": {
                "email_enabled": true,
                "webhook_enabled": true
            },
            "delete_tenant": {
                "email_enabled": true,
                "webhook_enabled": false
            },
            "create_ms_user": {
                "email_enabled": false,
                "webhook_enabled": true
            },
            "sip_create_trunkgroup": {
                "email_enabled": false,
                "webhook_enabled": false
            }
        }
    }
}

Modify the events configuration of a group ​

Use this endpoint to modify the events (webhook / email notifications) configuration of a group. Unlike the GET, the configuration is sent at the root of the body (not wrapped in properties).

Request ​

Endpoint ​

PUT /api/v01/draas/{draas_instance}/groups/{uuid}/configurations/events

Authorization ​

Required role

groups.instance.configurations.events.update

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the group for which you want to modify the events configuration

URL/Query parameters ​

N/A

Body ​
ParameterTypeDescriptionRequired?
webhook_endpointstringThe URL to which the webhook notifications are sent (POST) when an enabled event occursno
webhook_authentication_typestringThe authentication used when calling the webhook endpoint. Possible values are:
  • none,
  • token,
  • akjl-affinity.
no
webhook_authentication_tokenstringThe token used to authenticate against the webhook endpoint. Only relevant when webhook_authentication_type is not noneno
emailsarrayA list of email addresses to which the email notifications are sent when an enabled event occursno
eventsobjectAn object where each key is an event name and each value is an event settings object defining which notification channels are enabled for that eventno

Each entry of events is an event settings object.

Example ​

json
{
    "webhook_endpoint": "https://hooks.example.com/fusion/events",
    "webhook_authentication_type": "token",
    "webhook_authentication_token": "3f9c2e7a-webhook-token",
    "emails": [
        "noc@example.com",
        "provisioning@example.com"
    ],
    "events": {
        "create_tenant": {
            "email_enabled": true,
            "webhook_enabled": true
        },
        "delete_tenant": {
            "email_enabled": true,
            "webhook_enabled": false
        },
        "create_ms_user": {
            "email_enabled": false,
            "webhook_enabled": true
        },
        "sip_create_trunkgroup": {
            "email_enabled": false,
            "webhook_enabled": false
        }
    }
}

Response ​

Status codes ​

ParameterDescription
204The events configuration was successfully modified
400Error while processing the events configuration
403The API consumer doesn't have sufficient rights to perform this action
500Uncatched error on server side

Success ​

Body ​

N/A

Get the list of pstn usages ​

The following endpoint gives the list of existing pstn usages for a given group.

Request ​

Endpoint ​

GET /api/v01/draas/{draas_instance}/groups/{uuid}/configurations/voice_routing/pstn_usages

Authorization ​

Required role

groups.instance.configurations.voice_routing.pstn_usages.list

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the group from which you want to add remove properties

URL/Query parameters ​

ParameterTypeDescriptionRequired?
searchstringUsed to perform a search through all searchable properties that look like the string passedno
sortstringAllows to specify one searchable property of an order to apply a sorting operationno
dirstringWhen performing a sort operation, specifies the type. Allowed values are asc for ascending (default) or desc for descendingno
pageintegerUsed for pagination, determines the current page to be shown (defaults to 1)no
page_sizeintegerUsed for pagination, determines the maximum number of records on one page of results (defaults to 10)no
nextstringA token used to get the next records in the list. This token is taken back from the results of the previous callno

Response ​

Status codes ​

ParameterDescription
200One or more pstn usages found
400Error while processing the request
403The API consumer doesn't have sufficient rights to perform this action
404No of the pstn usage found
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional?
pstnUsagesarrayList containing all pstn usage objects of the groupno
resultsstringTotal count of results that match your queryno
pagesstringTotal count of result pages that are availableno
pagestringID of the page that is currently returnedno
nextstringA token generated as long as there are still pages to display in the list. This token may be used in a subsequent call to get the next page. It contains all query parameter from the request so they may be omitted in subsequent callyes
PSTN Usage Object ​
ParameterTypeDescriptionConditional?Searchable?
idintegerIndex of the pstn usagenono
namestringName of the pstn usagenoyes
Example ​
json
{
  "page": 1,
  "pages": 1,
  "pstnUsages": [
    {
      "id": 21,
      "name": "PSTN Test name"
    },
    {
      "id": 8,
      "name": "PSTN-Usage-DRAAS"
    }
  ],
  "results": 2
}

Create a new pstn usage ​

Use this endpoint to create a new pstn usage for a group on the platform.

Request ​

Endpoint ​

POST /api/v01/draas/{draas_instance}/groups/{uuid}/configurations/voice_routing/pstn_usages

Authorization ​

Required role

groups.instance.configurations.voice_routing.pstn_usages.create

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the group

URL/Query parameters ​

N/A

Body ​
ParameterTypeDescriptionRequired
namestringName of the pstn usageyes

Example ​

json
{
  "name": "Test PSTN 42"
}

Response ​

Status codes ​

ParameterDescription
204The pstn usage was created successfully
400Error while creating the pstn usage
403The API consumer doesn't have sufficient rights to perform this action
500Uncatched error on server side

Success ​

Body ​

N/A

Example ​

N/A

Modify an existing pstn usage ​

Use this endpoint to modify an existing pstn usage for a group on the platform.

Request ​

Endpoint ​

PUT /api/v01/draas/{draas_instance}/groups/{uuid}/configurations/voice_routing/pstn_usages/{id}

Authorization ​

Required role

groups.instance.configurations.voice_routing.pstn_usages.instance.update

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the group
idintegerIndex of an existing pstn usage

URL/Query parameters ​

N/A

Body ​

ParameterTypeDescriptionRequired
namestringNew name for the pstn usageyes

Example ​

json
{
  "name": "Test PSTN 45"
}

Response ​

Status codes ​

ParameterDescription
204The pstn usage was updated successfully
400Error while updating the pstn usage
403The API consumer doesn't have sufficient rights to perform this action
404The pstn usage ID does not exist in the database
500Uncatched error on server side

Success ​

Body ​

N/A

Example ​

N/A

Delete a pstn usage ​

Use this endpoint to delete an existing pstn usage for a group on the platform. A pstn usage can be deleted only if not connected to a voice routing or a voice routing policy.

Request ​

Endpoint ​

DELETE /api/v01/draas/{draas_instance}/groups/{uuid}/configurations/voice_routing/pstn_usages/{id}

Authorization ​

Required role

groups.instance.configurations.voice_routing.pstn_usages.instance.delete

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the group
idintegerIndex of an existing pstn usage

URL/Query parameters ​

N/A

Body ​

N/A

Response ​

Status codes ​

ParameterDescription
204The pstn usage was deleted successfully. If the pstn usage didn't exist, the delete will be considered as being executed successfully.
400Error while deleting the pstn usage
403The API consumer doesn't have sufficient rights to perform this action
500Uncatched error on server side

Success ​

Body ​

N/A

Example ​

N/A

Get the list of voice routes ​

The following endpoint gives the list of existing voice routes for a given group.

Request ​

Endpoint ​

GET /api/v01/draas/{draas_instance}/groups/{uuid}/configurations/voice_routing/voice_routes

Authorization ​

Required role

groups.instance.configurations.voice_routing.voice_routes.list

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the group from which you want to add remove properties

URL/Query parameters ​

ParameterTypeDescriptionRequired?
searchstringUsed to perform a search through all searchable properties that look like the string passedno
sortstringAllows to specify one searchable property of an order to apply a sorting operationno
dirstringWhen performing a sort operation, specifies the type. Allowed values are asc for ascending (default) or desc for descendingno
pageintegerUsed for pagination, determines the current page to be shown (defaults to 1)no
page_sizeintegerUsed for pagination, determines the maximum number of records on one page of results (defaults to 10)no
nextstringA token used to get the next records in the list. This token is taken back from the results of the previous callno

Response ​

Status codes ​

ParameterDescription
200One or more voice routes found
400Error while processing the request
403The API consumer doesn't have sufficient rights to perform this action
404No of the voice route found
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional?
voiceRoutesarrayList containing all voice route objects of the groupno
resultsstringTotal count of results that match your queryno
pageSizestringResults are not provided all at once. This parameter indicates how many results are returned per page.no
pagesstringTotal count of result pages that are availableno
pagestringID of the page that is currently returnedno
nextstringA token generated as long as there are still pages to display in the list. This token may be used in a subsequent call to get the next page. It contains all query parameter from the request so they may be omitted in subsequent callyes
Voice Route Object ​
ParameterTypeDescriptionConditional?Searchable?
idintegerIndex of the voice routenono
namestringName of the voice routenoyes
patternstringPatternnono
priorityintegerPrioritynono
pstnUsagesarrayArray of pstn usage objects connected connected to the voice routenono
Example ​
json
{
  "page": 1,
  "pageSize": 10,
  "pages": 1,
  "results": 2,
  "voiceRoutes": [
    {
      "id": 7,
      "name": "VR-DRaaS",
      "pattern": ".*",
      "priority": 1,
      "pstnUsages": []
    },
    {
      "id": 21,
      "name": "VR-DRaaS New",
      "pattern": ".*",
      "priority": 5,
      "pstnUsages": [
        {
          "id": 8,
          "name": "DRaaS-New-PSTN-Usage 3"
        },
        {
          "id": 21,
          "name": "PSTN Test name"
        }
      ]
    }
  ]
}

Create a new voice route ​

Use this endpoint to create a new voice route for a group on the platform.

Request ​

Endpoint ​

POST /api/v01/draas/{draas_instance}/groups/{uuid}/configurations/voice_routing/voice_routes

Authorization ​

Required role

groups.instance.configurations.voice_routing.voice_routes.create

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the group

URL/Query parameters ​

N/A

Body ​
ParameterTypeDescriptionRequired
namestringName of the voice routeyes
patternstringPatternyes
priorityintegerPriorityyes
pstnUsagesarrayArray of PSTN Usages ids (as integer values) to be connected to the voice routeno

Example ​

json
{
  "name": "VR-DRaaS new",
  "priority": 5,
  "pattern": ".*",
  "pstnUsages": [
    8,
    21
  ]
}

Response ​

Status codes ​

ParameterDescription
204The voice route was created successfully
400Error while creating the voice route
403The API consumer doesn't have sufficient rights to perform this action
500Uncatched error on server side

Success ​

Body ​

N/A

Example ​

N/A

Modify an existing voice route ​

Use this endpoint to modify an existing voice route for a group on the platform.

Request ​

Endpoint ​

PUT /api/v01/draas/{draas_instance}/groups/{uuid}/configurations/voice_routing/voice_routes/{id}

Authorization ​

Required role

groups.instance.configurations.voice_routing.voice_routes.instance.update

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the group
idintegerIndex of an existing voice route

URL/Query parameters ​

N/A

Body ​

ParameterTypeDescriptionRequired
namestringName of the voice routeno
patternstringPatternno
priorityintegerPriorityno
pstnUsagesarrayArray of PSTN Usages ids (as integer values) to be connected to the voice route. The missing entries will be disconnected.no

Example ​

json
{
  "name": "VR-DRaaS modified",
  "pstnUsages": [
    21
  ]
}

Response ​

Status codes ​

ParameterDescription
204The voice route was updated successfully
400Error while updating the voice route
403The API consumer doesn't have sufficient rights to perform this action
404The voice route ID does not exist in the database
500Uncatched error on server side

Success ​

Body ​

N/A

Example ​

N/A

Delete a voice route ​

Use this endpoint to delete an existing voice route for a group on the platform. A voice route can be deleted only if not connected to a voice routing or a voice routing policy.

Request ​

Endpoint ​

DELETE /api/v01/draas/{draas_instance}/groups/{uuid}/configurations/voice_routing/voice_routes/{id}

Authorization ​

Required role

groups.instance.configurations.voice_routing.voice_routes.instance.delete

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the group
idintegerIndex of an existing voice route

URL/Query parameters ​

N/A

Body ​

N/A

Response ​

Status codes ​

ParameterDescription
204The voice route was deleted successfully. If the voice route didn't exist, the delete will be considered as being executed successfully.
400Error while deleting the voice route
403The API consumer doesn't have sufficient rights to perform this action
500Uncatched error on server side

Success ​

Body ​

N/A

Example ​

N/A

Get the list of voice routing policies ​

The following endpoint gives the list of existing voice routing policies for a given group.

Request ​

Endpoint ​

GET /api/v01/draas/{draas_instance}/groups/{uuid}/configurations/voice_routing/voice_routing_policies

Authorization ​

Required role

groups.instance.configurations.voice_routing.voice_routing_policies.list

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the group from which you want to add remove properties

URL/Query parameters ​

ParameterTypeDescriptionRequired?
searchstringUsed to perform a search through all searchable properties that look like the string passedno
sortstringAllows to specify one searchable property of an order to apply a sorting operationno
dirstringWhen performing a sort operation, specifies the type. Allowed values are asc for ascending (default) or desc for descendingno
pageintegerUsed for pagination, determines the current page to be shown (defaults to 1)no
page_sizeintegerUsed for pagination, determines the maximum number of records on one page of results (defaults to 10)no
nextstringA token used to get the next records in the list. This token is taken back from the results of the previous callno

Response ​

Status codes ​

ParameterDescription
200One or more voice routing policies found
400Error while processing the request
403The API consumer doesn't have sufficient rights to perform this action
404No of the voice routing policies found
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional?
voiceRoutingPoliciesarrayList containing all voice routing policy objects of the groupno
resultsstringTotal count of results that match your queryno
pageSizestringResults are not provided all at once. This parameter indicates how many results are returned per page.no
pagesstringTotal count of result pages that are availableno
pagestringID of the page that is currently returnedno
nextstringA token generated as long as there are still pages to display in the list. This token may be used in a subsequent call to get the next page. It contains all query parameter from the request so they may be omitted in subsequent callyes
Voice Routing Policy Object ​
ParameterTypeDescriptionConditional?Searchable?
idintegerIndex of the voice routing policynono
namestringName of the voice routing policynoyes
pstnUsagesarrayArray of pstn usage objects connected to the voice routing policynono
Example ​
json
{
  "page": 1,
  "pageSize": 10,
  "pages": 1,
  "results": 1,
  "voiceRoutingPolicies": [
    {
      "id": 7,
      "name": "World-DRaaS",
      "pstnUsages": [
        {
          "id": 8,
          "name": "DRaaS-New-PSTN-Usage 3"
        },
        {
          "id": 21,
          "name": "PSTN Test name"
        }
      ]
    }
  ]
}

Create a new voice routing policy ​

Use this endpoint to create a new voice routing policy for a group on the platform.

Request ​

Endpoint ​

POST /api/v01/draas/{draas_instance}/groups/{uuid}/configurations/voice_routing/voice_routing_policies

Authorization ​

Required role

groups.instance.configurations.voice_routing.voice_routing_policies.create

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the group

URL/Query parameters ​

N/A

Body ​
ParameterTypeDescriptionRequired
namestringName of the voice routing policyyes
pstnUsagesarrayArray of PSTN Usages ids (as integer values) to be connected to the voice routing policyno

Example ​

json
{
  "name": "VR-DRaaS new",
  "pstnUsages": [
    8,
    21
  ]
}

Response ​

Status codes ​

ParameterDescription
204The voice route was created successfully
400Error while creating the voice route
403The API consumer doesn't have sufficient rights to perform this action
500Uncatched error on server side

Success ​

Body ​

N/A

Example ​

N/A

Modify an existing voice routing policy ​

Use this endpoint to modify an existing voice routing policy for a group on the platform.

Request ​

Endpoint ​

PUT /api/v01/draas/{draas_instance}/groups/{uuid}/configurations/voice_routing/voice_routing_policies/{id}

Authorization ​

Required role

groups.instance.configurations.voice_routing.voice_routing_policies.instance.update

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the group
idintegerIndex of an existing voice routing policy

URL/Query parameters ​

N/A

Body ​

ParameterTypeDescriptionRequired
namestringName of the voice routeno
pstnUsagesarrayArray of PSTN Usages ids (as integer values) to be connected to the voice routing policy. The missing entries will be disconnected.no

Example ​

json
{
  "name": "VR-DRaaS modified",
  "pstnUsages": [
    21
  ]
}

Response ​

Status codes ​

ParameterDescription
204The voice routing policy was updated successfully
400Error while updating the voice routing policy
403The API consumer doesn't have sufficient rights to perform this action
404The voice routing policy ID does not exist in the database
500Uncatched error on server side

Success ​

Body ​

N/A

Example ​

N/A

Delete a voice routing policy ​

Use this endpoint to delete an existing voice route for a group on the platform. A voice route can be deleted only if not connected to a voice routing or a voice routing policy.

Request ​

Endpoint ​

DELETE /api/v01/draas/{draas_instance}/groups/{uuid}/configurations/voice_routing/voice_routing_policies/{id}

Authorization ​

Required role

groups.instance.configurations.voice_routing.voice_routing_policies.instance.delete

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the group
idintegerIndex of an existing voice routing policy

URL/Query parameters ​

N/A

Body ​

N/A

Response ​

Status codes ​

ParameterDescription
204The voice routing policy was deleted successfully. If the voice route didn't exist, the delete will be considered as being executed successfully.
400Error while deleting the voice routing policy
403The API consumer doesn't have sufficient rights to perform this action
500Uncatched error on server side

Success ​

Body ​

N/A

Example ​

N/A

Send a welcome email to a group admin ​

Use this endpoint to send a welcome email to a group admin.

Request ​

Endpoint ​

POST /api/v01/draas/{draas_instance}/groups/{uuid}/admins/welcome

Authorization ​

Required role

groups.instance.admins.welcome.create

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the group

URL/Query parameters ​

N/A

Body ​
ParameterTypeDescriptionRequired?
adminEmailstringEmail of an administrator for this groupyes

Example ​

json
{
  "adminEmail": "john.doe@netaxis.be"
}

Response ​

Status codes ​

ParameterDescription
200The welcome email has been sent successfully
400Error while sending the welcome email
500Uncatched error on server side

Success ​

Body ​

N/A

Example ​

N/A

Get the configurations branding general ​

List of the configurations branding general of the reference user's access level.

Request ​

Endpoint ​

GET /api/v01/draas/{draas_instance}/groups/{uuid}/configurations/branding/general

Authorization ​

Required role

groups.instance.configurations.branding.general.list

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the group for which you want to get the properties

URL/Query parameters ​

ParameterTypeDescriptionRequired?
fullbooleanForces to return the full configurations keys ignoring any other parametersno
keysstringA comma seperated list of keys used to restrict the returned properties to the specified keysno
searchstringUsed to perform a search through all searchable configurations keys of a group that look like the string passedno

Response ​

Status codes ​

ParameterDescription
200Properties has been correctly returned
400Error while processing the request
403The API consumer doesn't have sufficient rights to perform this action
404No group found
500Uncatched error on server side

Success ​

Body ​

An object defining properties as key / value pairs.

Example ​
json
{
    "apiVersion": "api/v01",
    "appTitle": "Fusion",
    "authentication": {
        "customLogOut": {
            "enabled": false,
            "route": "/forgot-password"
        },
        "emailID": "en",
        "keepUserLoggedIn": true
    },
    "backendUrl": "https://apio-dev.fusion.netaxis.cloud",
    "customTranslations": false,
    "draasInstance": "draas/draas_fusion_dev",
    "guideLink": "https://fusion.docs.netaxis.solutions/guides/onboarding/",
    "languages": [
        "en",
        "de",
        "fr"
    ],
    "modes": {
        "admin": {
            "sso": [
                {
                    "enabled": true,
                    "icon": "/branding/default/img/GoogleLogo.svg",
                    "mode": "oidc",
                    "name": "Google",
                    "state": "https://portal-dev.fusion.netaxis.cloud/login"
                },
                {
                    "enabled": true,
                    "icon": "/branding/default/img/Office365Logo.svg",
                    "mode": "oidc",
                    "name": "Office 365",
                    "state": "https://portal-dev.fusion.netaxis.cloud/login"
                },
                {
                    "enabled": false,
                    "icon": "/branding/default/img/ExponentialELogo.svg",
                    "mode": "oidc",
                    "name": "Exponential-e",
                    "state": "https://portal-dev.fusion.netaxis.cloud/login"
                }
            ]
        }
    },
    "msTeamInterval": 15000,
    "name": "DRaaS"
}

Modify the configurations branding general ​

Use this endpoint to modify the configurations of branding general of the reference user's access level.

Request ​

Endpoint ​

PUT /api/v01/draas/{draas_instance}/groups/{uuid}/configurations/branding/general

Authorization ​

Required role

groups.instance.configurations.branding.general.update

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the group for which you want to add or modify properties

URL/Query parameters ​

N/A

Body ​

An object defining properties as key / value pairs.

Example ​

json
{
    "apiVersion": "api/v01",
    "appTitle": "Fusion",
    "authentication": {
        "customLogOut": {
            "enabled": false,
            "route": "/forgot-password"
        },
        "emailID": "en",
        "keepUserLoggedIn": true
    },
    "backendUrl": "https://apio-dev.fusion.netaxis.cloud",
    "customTranslations": false,
    "draasInstance": "draas/draas_fusion_dev",
    "guideLink": "https://fusion.docs.netaxis.solutions/guides/onboarding/",
    "languages": [
        "en",
        "de",
        "fr"
    ],
    "modes": {
        "admin": {
            "sso": [
                {
                    "enabled": true,
                    "icon": "/branding/default/img/GoogleLogo.svg",
                    "mode": "oidc",
                    "name": "Google",
                    "state": "https://portal-dev.fusion.netaxis.cloud/login"
                },
                {
                    "enabled": true,
                    "icon": "/branding/default/img/Office365Logo.svg",
                    "mode": "oidc",
                    "name": "Office 365",
                    "state": "https://portal-dev.fusion.netaxis.cloud/login"
                },
                {
                    "enabled": false,
                    "icon": "/branding/default/img/ExponentialELogo.svg",
                    "mode": "oidc",
                    "name": "Exponential-e",
                    "state": "https://portal-dev.fusion.netaxis.cloud/login"
                }
            ]
        }
    },
    "msTeamInterval": 15000,
    "name": "DRaaS"
}

Response ​

Status codes ​

ParameterDescription
204The properties were successfully modified
400Error while processing the properties
500Uncatched error on server side

Success ​

Body ​

N/A

Get the configurations of branding pages ​

List of the configurations of branding pages of the reference user's access level.

Request ​

Endpoint ​

GET /api/v01/draas/{draas_instance}/groups/{uuid}/configurations/branding/pages

Authorization ​

Required role

groups.instance.configurations.branding.pages.list

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the group for which you want to get the properties

URL/Query parameters ​

ParameterTypeDescriptionRequired?
fullbooleanForces to return the full configurations keys ignoring any other parametersno
keysstringA comma seperated list of keys used to restrict the returned properties to the specified keysno
searchstringUsed to perform a search through all searchable configurations keys of a group that look like the string passedno
permissionsbooleanReturns the pages configuration together with the related permissions (used with full=true)no

Response ​

Status codes ​

ParameterDescription
200Properties has been correctly returned
400Error while processing the request
403The API consumer doesn't have sufficient rights to perform this action
404No group found
500Uncatched error on server side

Success ​

Body ​

An object defining properties as key / value pairs.

Example ​
json
{
    "distributor": {
        "distributorAdmins": {
            "enabled": true
        },
        "distributorLicenseConsumption": {
            "enabled": false
        },
        "distributorProfile": {
            "enabled": false
        },
        "distributorRatePlan": {
            "enabled": true
        },
        "distributorResellers": {
            "enabled": true
        },
        "distributorTenants": {
            "enabled": true
        }
    },
    "group": {
        "groupAdmins": {
            "enabled": true
        },
        "groupDistributors": {
            "enabled": true
        },
        "groupOrders": {
            "enabled": true
        },
        "groupProducts": {
            "enabled": true
        },
        "groupRatePlan": {
            "enabled": true
        },
        "groupResellers": {
            "enabled": true
        },
        "groupSettings": {
            "enabled": true
        },
        "groupTenants": {
            "enabled": true
        }
    },
    "groupSettings": {
        "groupSettingsConfiguration": {
            "enabled": true
        },
        "groupSettingsVoiceRouting": {
            "enabled": true
        }
    },
    "reseller": {
        "resellerAdmins": {
            "enabled": true
        },
        "resellerLicenseConsumption": {
            "enabled": false
        },
        "resellerProfile": {
            "enabled": false
        },
        "resellerRatePlan": {
            "enabled": true
        },
        "resellerTenants": {
            "enabled": true
        }
    },
    "subscription": {
        "subscriptionNumbers": {
            "tabs": {
                "myNumbers": {
                    "enabled": true
                },
                "porting": {
                    "enabled": true
                },
                "releasedNumbers": {
                    "enabled": true
                },
                "reservedNumbers": {
                    "enabled": true
                }
            }
        }
    },
    "system": {
        "systemGroupSettings": {
            "enabled": true
        },
        "systemGroups": {
            "enabled": true
        }
    },
    "tenant": {
        "tenantAdmins": {
            "enabled": true
        },
        "tenantOrders": {
            "enabled": true
        },
        "tenantProfile": {
            "enabled": true
        },
        "tenantRatePlan": {
            "enabled": true
        },
        "tenantSubscriptions": {
            "enabled": true
        }
    }
}

Modify the configurations branding pages ​

Use this endpoint to modify the configurations of branding pages of the reference user's access level.

Request ​

Endpoint ​

PUT /api/v01/draas/{draas_instance}/groups/{uuid}/configurations/branding/pages

Authorization ​

Required role

groups.instance.configurations.branding.pages.update

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the group for which you want to add or modify properties

URL/Query parameters ​

N/A

Body ​

An object defining properties as key / value pairs.

Example ​

json
{
    "distributor": {
        "distributorAdmins": {
            "enabled": true
        },
        "distributorLicenseConsumption": {
            "enabled": false
        },
        "distributorProfile": {
            "enabled": false
        },
        "distributorRatePlan": {
            "enabled": true
        },
        "distributorResellers": {
            "enabled": true
        },
        "distributorTenants": {
            "enabled": true
        }
    },
    "group": {
        "groupAdmins": {
            "enabled": true
        },
        "groupDistributors": {
            "enabled": true
        },
        "groupOrders": {
            "enabled": true
        },
        "groupProducts": {
            "enabled": true
        },
        "groupRatePlan": {
            "enabled": true
        },
        "groupResellers": {
            "enabled": true
        },
        "groupSettings": {
            "enabled": true
        },
        "groupTenants": {
            "enabled": true
        }
    },
    "groupSettings": {
        "groupSettingsConfiguration": {
            "enabled": true
        },
        "groupSettingsVoiceRouting": {
            "enabled": true
        }
    },
    "reseller": {
        "resellerAdmins": {
            "enabled": true
        },
        "resellerLicenseConsumption": {
            "enabled": false
        },
        "resellerProfile": {
            "enabled": false
        },
        "resellerRatePlan": {
            "enabled": true
        },
        "resellerTenants": {
            "enabled": true
        }
    },
    "subscription": {
        "subscriptionNumbers": {
            "tabs": {
                "myNumbers": {
                    "enabled": true
                },
                "porting": {
                    "enabled": true
                },
                "releasedNumbers": {
                    "enabled": true
                },
                "reservedNumbers": {
                    "enabled": true
                }
            }
        }
    },
    "system": {
        "systemGroupSettings": {
            "enabled": true
        },
        "systemGroups": {
            "enabled": true
        }
    },
    "tenant": {
        "tenantAdmins": {
            "enabled": true
        },
        "tenantOrders": {
            "enabled": true
        },
        "tenantProfile": {
            "enabled": true
        },
        "tenantRatePlan": {
            "enabled": true
        },
        "tenantSubscriptions": {
            "enabled": true
        }
    }
}

Response ​

Status codes ​

ParameterDescription
204The properties were successfully modified
400Error while processing the properties
500Uncatched error on server side

Success ​

Body ​

N/A

Get the configurations of branding styling ​

List of the configurations of branding styling of the reference user's access level.

Request ​

Endpoint ​

GET /api/v01/draas/{draas_instance}/groups/{uuid}/configurations/branding/styling

Authorization ​

Required role

groups.instance.configurations.branding.pages.list

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the group for which you want to get the properties

URL/Query parameters ​

ParameterTypeDescriptionRequired?
fullbooleanForces to return the full configurations keys ignoring any other parametersno
keysstringA comma seperated list of keys used to restrict the returned properties to the specified keysno
searchstringUsed to perform a search through all searchable configurations keys of a group that look like the string passedno
typestringThe type of styling asset. Possible values are:
  • font,
  • image,
  • theme.
yes

Response ​

Status codes ​

ParameterDescription
200Properties has been correctly returned
400Error while processing the request
403The API consumer doesn't have sufficient rights to perform this action
404No group found
500Uncatched error on server side

Success ​

Body ​

An object defining properties as key / value pairs.

Example type=font ​
json
{
    "allowed": [
        "Avenir Next Cyr",
        "Roboto",
        "Ubuntu",
        "Montserrat"
    ],
    "name": "Avenir Next Cyr"
}
Example type=image ​
json
{
    "favicon": "/branding/default/favicon/favicon.ico",
    "login": {
        "bg": "/branding/default/img/Loginbackground.png",
        "logo": "/branding/default/img/LoginLogo.svg"
    },
    "main": {
        "bg": "/branding/default/img/MainBackground.png",
        "logo": "/branding/default/img/Logo.svg"
    }
}
Example type=theme ​
json
{
    "allowed": [
        "blue",
        "red",
        "green"
    ],
    "selected": "blue",
    "themes": {
        "blue": "/branding/default/theme.blue.json",
        "green": "/branding/default/theme.green.json",
        "red": "/branding/default/theme.red.json"
    }
}

Modify the configurations branding styling ​

Use this endpoint to modify the configurations of branding styling of the reference user's access level.

Request ​

Endpoint ​

PUT /api/v01/draas/{draas_instance}/groups/{uuid}/configurations/branding/styling

Authorization ​

Required role

groups.instance.configurations.branding.pages.update

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the group for which you want to add or modify properties

URL/Query parameters ​

N/A

Body ​
ParameterTypeDescriptionRequired?
typestringThe type of styling asset. Possible values are:
  • font,
  • image,
  • theme.
yes

And a object defining properties as key / value pairs.

Example type=font ​
json
{
    "type": "font",
    "allowed": [
        "Avenir Next Cyr",
        "Roboto",
        "Ubuntu",
        "Montserrat"
    ],
    "name": "Avenir Next Cyr"
}
Example type=image ​
json
{
    "type": "image",
    "favicon": "/branding/default/favicon/favicon.ico",
    "login": {
        "bg": "/branding/default/img/Loginbackground.png",
        "logo": "/branding/default/img/LoginLogo.svg"
    },
    "main": {
        "bg": "/branding/default/img/MainBackground.png",
        "logo": "/branding/default/img/Logo.svg"
    }
}
Example type=theme ​
json
{
    "type": "theme",
    "allowed": [
        "blue",
        "red",
        "green"
    ],
    "selected": "red",
    "themes": {
        "blue": "/branding/default/theme.blue.json",
        "green": "/branding/default/theme.green.json",
        "red": "/branding/default/theme.red.json"
    }
}

Response ​

Status codes ​

ParameterDescription
204The properties were successfully modified
400Error while processing the properties
500Uncatched error on server side

Success ​

Body ​

N/A

Get the enabled UCs of a group ​

List the enabled UCs of a group.

Request ​

Endpoint ​

GET /api/v01/draas/{draas_instance}/groups/{uuid}/enabled_ucs

Authorization ​

Required role

groups.instance.enabled_ucs.list

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the group for which you want to get the properties

URL/Query parameters ​

N/A

Response ​

Status codes ​

ParameterDescription
200Enabled UCs list has been correctly returned
400Error while processing the request
403The API consumer doesn't have sufficient rights to perform this action
404No group found
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional?
enabled_ucsarrayA list containing all the enabled UCs of a group.no
Example ​
json
{
    "enabled_ucs": [
        "msteams"
        "zoom",
    ]
}